## r-cran-timechange 0.2.0

=== DESCRIPTION ===
Package: timechange
Title: Efficient Manipulation of Date-Times
Version: 0.2.0
Authors@R: c(person("Vitalie", "Spinu", email = "spinuvit@gmail.com", role = c("aut", "cre")),
             person("Google Inc.", role = c("ctb", "cph")))
Description: Efficient routines for manipulation of date-time objects while
   accounting for time-zones and daylight saving times. The package includes
   utilities for updating of date-time components (year, month, day etc.),
   modification of time-zones, rounding of date-times, period addition and
   subtraction etc. Parts of the 'CCTZ' source code, released under the Apache
   2.0 License, are included in this package. See
   <https://github.com/google/cctz> for more details.
Depends: R (>= 3.3)
License: GPL-3
Encoding: UTF-8
LinkingTo: cpp11 (>= 0.2.7)
Suggests: testthat (>= 0.7.1.99), knitr
SystemRequirements: A system with zoneinfo data (e.g.
        /usr/share/zoneinfo) as well as a recent-enough C++11 compiler
        (such as g++-4.8 or later). On Windows the zoneinfo included
        with R is used.
BugReports: https://github.com/vspinu/timechange/issues
URL: https://github.com/vspinu/timechange/
RoxygenNote: 7.2.1
NeedsCompilation: yes
Packaged: 2023-01-11 17:55:58 UTC; vspinu
Author: Vitalie Spinu [aut, cre],
  Google Inc. [ctb, cph]
Maintainer: Vitalie Spinu <spinuvit@gmail.com>
Repository: CRAN
Date/Publication: 2023-01-11 18:20:02 UTC

=== debian/changelog ===
r-cran-timechange (0.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 11:58:50 +0100

r-cran-timechange (0.1.1-3) unstable; urgency=medium

  * Add patch to fix build/tests on i386

 -- Nilesh Patra <nilesh@debian.org>  Sun, 27 Nov 2022 17:52:18 +0530

r-cran-timechange (0.1.1-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Nov 2022 11:35:21 +0530

r-cran-timechange (0.1.1-1) unstable; urgency=medium

  * Initial release (closes: #1023727)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 09 Nov 2022 09:25:00 +0530

## r-cran-timechange 0.3.0

=== debian/changelog ===
r-cran-timechange (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Explicitly depend on R >= 4.5. (Closes: #1103118)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 29 Apr 2025 16:56:35 +0100

r-cran-timechange (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 21:10:00 +0100

r-cran-timechange (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1047858

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 18:13:30 +0200

=== debian/control ===
Source: r-cran-timechange
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timechange
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timechange.git
Homepage: https://cran.r-project.org/package=timechange
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cpp11 (>= 0.2.7)
Testsuite: autopkgtest-pkg-r

Package: r-cran-timechange
Architecture: any
Depends: r-base-core (>= 4.5.0~),
         ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Efficient Manipulation of Date-Times
 Efficient routines for manipulation of date-time objects while
 accounting for time-zones and daylight saving times. The package includes
 utilities for updating of date-time components (year, month, day etc.),
 modification of time-zones, rounding of date-times, period addition and
 subtraction etc. Parts of the 'CCTZ' source code, released under the Apache
 2.0 License, are included in this package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	find . -name "*.a" -delete
	find . -name "*.o" -delete
	dh_auto_clean

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/timechange_([-\d.]*)\.tar\.gz

## r-cran-timechange 0.4.0

=== DESCRIPTION ===
Package: timechange
Title: Efficient Manipulation of Date-Times
Version: 0.4.0
Authors@R: c(person("Vitalie", "Spinu", email = "spinuvit@gmail.com", role = c("aut", "cre")),
             person("Google Inc.", role = c("ctb", "cph")))
Description: Efficient routines for manipulation of date-time objects while
   accounting for time-zones and daylight saving times. The package includes
   utilities for updating of date-time components (year, month, day etc.),
   modification of time-zones, rounding of date-times, period addition and
   subtraction etc. Parts of the 'CCTZ' source code, released under the Apache
   2.0 License, are included in this package. See
   <https://github.com/google/cctz> for more details.
Depends: R (>= 3.3)
License: GPL (>= 3)
Encoding: UTF-8
LinkingTo: cpp11 (>= 0.2.7)
Suggests: testthat (>= 0.7.1.99), knitr
SystemRequirements: A system with zoneinfo data (e.g.
        /usr/share/zoneinfo). On Windows the zoneinfo included with R
        is used.
BugReports: https://github.com/vspinu/timechange/issues
URL: https://github.com/vspinu/timechange/
RoxygenNote: 7.2.1
NeedsCompilation: yes
Packaged: 2026-01-29 08:59:34 UTC; vitalie
Author: Vitalie Spinu [aut, cre],
  Google Inc. [ctb, cph]
Maintainer: Vitalie Spinu <spinuvit@gmail.com>
Repository: CRAN
Date/Publication: 2026-01-29 22:20:08 UTC

=== debian/changelog ===
r-cran-timechange (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Feb 2026 15:44:14 +0900

=== debian/control ===
Source: r-cran-timechange
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cpp11,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timechange
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timechange.git
Homepage: https://cran.r-project.org/package=timechange
Rules-Requires-Root: no

Package: r-cran-timechange
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 r-base-core (>= 4.5.0~),
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Efficient Manipulation of Date-Times
 Efficient routines for manipulation of date-time objects while
 accounting for time-zones and daylight saving times. The package includes
 utilities for updating of date-time components (year, month, day etc.),
 modification of time-zones, rounding of date-times, period addition and
 subtraction etc. Parts of the 'CCTZ' source code, released under the Apache
 2.0 License, are included in this package.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-testthat (>= 0.7.1.99),
 r-cran-knitr,
